petsc-3.4.2 2013-07-02

# MatMumpsSetCntl

Set MUMPS parameter CNTL()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsSetCntl(Mat F,PetscInt icntl,PetscReal val)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| icntl | - index of MUMPS parameter array CNTL()
| val | - value of MUMPS CNTL(icntl)

### Options Database

-mat_mumps_cntl_<icntl> <val> -

References: MUMPS Users' Guide

### See Also

MatGetFactor()

Level:beginner
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html